Debian Bug report logs - #509287
afio: license is non-free

version graph

Package: afio; Maintainer for afio is Jari Aalto <jari.aalto@cante.net>; Source for afio is src:afio.

Reported by: "Michael Gilbert" <michael.s.gilbert@gmail.com>

Date: Sat, 20 Dec 2008 20:03:01 UTC

Severity: serious

Tags: lenny-ignore

Found in version afio/2.5-5

Fixed in version afio/2.5.1.20120205+git0c14fb9-1

Done: Jari Aalto <jari.aalto@cante.net>

Bug is archived. No further changes may be made.

Forwarded to Koen Holtman <k.holtman@chello.nl>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Sat, 20 Dec 2008 20:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Michael Gilbert" <michael.s.gilbert@gmail.com>:
New Bug report received and forwarded. Copy sent to Erik Schanze <eriks@debian.org>. (Sat, 20 Dec 2008 20:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Michael Gilbert" <michael.s.gilbert@gmail.com>
To: submit@bugs.debian.org
Subject: afio: license is non-free
Date: Sat, 20 Dec 2008 15:01:28 -0500
Package: afio
Version: 2.5-5
Severity: serious

the license for afio is non-free.  see /usr/share/doc/afio/copyright:

   * ------------------------------------------------------------------
   *
   * License notice 1, covering part of this software package.
   *
   * [Covers the original 1985 afio code]
   *
   * Copyright (c) 1985 Lachman Associates, Inc..
   *
   * This software was written by Mark Brukhartz at Lachman Associates,
   * Inc.. It may be distributed within the following restrictions:
   *	(1) It may not be sold at a profit.
   *	(2) This credit and notice must remain intact.
   * This software may be distributed with other software by a commercial
   * vendor, provided that it is included at no additional charge.
   *
   *
   * [Note: it is believed that condition 5 of the Perl "Artistic
   * License" implies the intent of restriction (1) above.]
   *
   * --------

the core of the issue is condition (1), which discriminates against
fields of endeavor (DFSG #6).

in all actuality, the licensing issue looks quite complex:  see blog
[1] and redhat bug [2].  note that redhat's response was to remove the
package. also, cpio supposedly provides the same functionality as
afio, so it may not even be necessary to provide this package.  after
seeing the blog, the FSF declared afio non-free [3].

i'm marking this as serious for now since this is a DFSG violation,
but i can appreciate a decision to mark it lenny-ignore or to
temporarily downgrade it to important since the release is impending.

[1] http://spot.livejournal.com/303000.html
[2] https://bugzilla.redhat.com/show_bug.cgi?id=449037
[3] http://directory.fsf.org/project/afio




Information stored :
Bug#509287; Package afio. (Sun, 21 Dec 2008 00:03:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Schanze <eriks@debian.org>:
Extra info received and filed, but not forwarded. (Sun, 21 Dec 2008 00:03:12 GMT) Full text and rfc822 format available.

Message #10 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: debian-legal@lists.debian.org
Cc: 509287-quiet@bugs.debian.org
Subject: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Sun, 21 Dec 2008 01:00:16 +0100
Dear debian-legal folks,

I got a Bug against package "afio" because of licence problems.
Please see http://bugs.debian.org/509287.

There was already a similar Bug 9 years ago that was closed, after one
person from this list gave his OK. 
(http://lists.debian.org/debian-legal/1999/05/msg00162.html)

But I think it's not that easy. It seems the clause is problematic.

There is an ongoing discussion on a Redhat list 
https://bugzilla.redhat.com/show_bug.cgi?id=449037 and they excluded 
the package already. There is an other blog on 
http://www.kernelplanet.org/fedora/ that gave a summary of the current 
situation.

What should I do?
Have I move afio to non-free?

Thank you in advance.


Best regards,

Erik




Information stored :
Bug#509287; Package afio. (Sun, 21 Dec 2008 09:18:55 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and filed, but not forwarded. (Sun, 21 Dec 2008 09:19:02 GMT) Full text and rfc822 format available.

Message #15 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: Erik Schanze <eriks@debian.org>
Cc: debian-legal@lists.debian.org, 509287-quiet@bugs.debian.org
Subject: Re: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Sun, 21 Dec 2008 10:15:20 +0100
* Erik Schanze:

> There is an ongoing discussion on a Redhat list 
> https://bugzilla.redhat.com/show_bug.cgi?id=449037 and they excluded 
> the package already. There is an other blog on 
> http://www.kernelplanet.org/fedora/ that gave a summary of the current 
> situation.

I think the analysis in <http://spot.livejournal.com/303000.html> is
somewhat simplistic.  At least the FSF reference is doubtful--the FSF
considers licenses free even they are free only if the licensed work
is combined with other software.  The FSF also considers stacked
licenses acceptable (like those for Python), and assumes that only the
topmost license is in effect.

On the other hand, if we consider the analysis to be correct, afio
shouldn't go into non-free, either, because it lies about its own
copyright status and should be considered undistributable as a result.




Information stored :
Bug#509287; Package afio. (Sun, 21 Dec 2008 11:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and filed, but not forwarded. (Sun, 21 Dec 2008 11:48:04 GMT) Full text and rfc822 format available.

Message #20 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: Erik Schanze <eriks@debian.org>
Cc: debian-legal@lists.debian.org, 509287-quiet@bugs.debian.org
Subject: Re: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Sun, 21 Dec 2008 12:40:38 +0100
[Message part 1 (text/plain, inline)]
On Sun, 21 Dec 2008 01:00:16 +0100 Erik Schanze wrote:

[...]
> I got a Bug against package "afio" because of licence problems.
> Please see http://bugs.debian.org/509287.
> 
> There was already a similar Bug 9 years ago that was closed, after one
> person from this list gave his OK. 
> (http://lists.debian.org/debian-legal/1999/05/msg00162.html)

I don't quite agree with the ease the issue was handled with back in
1999...

> 
> But I think it's not that easy. It seems the clause is problematic.
> 
> There is an ongoing discussion on a Redhat list 
> https://bugzilla.redhat.com/show_bug.cgi?id=449037 and they excluded 
> the package already. There is an other blog on 
> http://www.kernelplanet.org/fedora/ that gave a summary of the current 
> situation.

If the license for (a part of) the package is, as stated:

   * ------------------------------------------------------------------
   *
   * License notice 1, covering part of this software package.
   *
   * [Covers the original 1985 afio code]
   *
   * Copyright (c) 1985 Lachman Associates, Inc..
   *
   * This software was written by Mark Brukhartz at Lachman Associates,
   * Inc.. It may be distributed within the following restrictions:
   *	(1) It may not be sold at a profit.
   *	(2) This credit and notice must remain intact.
   * This software may be distributed with other software by a commercial
   * vendor, provided that it is included at no additional charge.
   *
   *
   * [Note: it is believed that condition 5 of the Perl "Artistic
   * License" implies the intent of restriction (1) above.]
   *
   * --------

then I think there are some serious issues.

First off: restriction (1) seems to fail DFSG#1, as it forbids selling
the software package, even "as a component of an aggregate software
distribution".
The following exception does not help, IMHO, since it discriminates
against people who are not "commercial vendors" (DFSG#5): whatever that
may mean, I think at least some people will not qualify as "commercial
vendors".

Moreover: where's the permission to modify the software package?
The license seems to utterly fail to meet DFSG#3.

I personally think that afio should be moved to the non-free archive,
provided that it is deemed to be legally distributable (the attempt to
claim that the whole package is under a different license could even be
seen as a copyright violation, maybe).


What I wrote above is my own personal opinion, my usual disclaimers
apply: IANAL, TINLA, IANADD, TINASOTODP.

-- 
 On some search engines, searching for my nickname AND
 "nano-documents" may lead you to my website...  
..................................................... Francesco Poli .
 GnuPG key fpr == C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Erik Schanze <schanzi_@gmx.de>:
You have marked Bug as forwarded. (Sun, 21 Dec 2008 22:30:03 GMT) Full text and rfc822 format available.

Message #23 received at 509287-forwarded@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: Koen Holtman <k.holtman@chello.nl>, 509287-forwarded@bugs.debian.org
Subject: Problematic clause in license of afio makes it non-free for Debian
Date: Sun, 21 Dec 2008 23:29:30 +0100
Hi Koen,

[Please keep CC, ignore prev mail, because typo in address]

I'm the maintainer of the Debian package of afio.

I got a bug report against package "afio" because of licence problems. 
The license of afio.c from 1985 isn't free enough for Debian Free 
Software Guidelines.
Please see http://bugs.debian.org/509287.

There is an ongoing discussion on a Redhat list 
https://bugzilla.redhat.com/show_bug.cgi?id=449037 and they excluded 
the package already from distribution. There is an other blog on 
http://www.kernelplanet.org/fedora/ that gave a summary of the current 
situation.

What's you opinion?
Do you see any chance to change the license of afio.c to a really free 
one?
I fear I have to move it to "non-free" section of Debian archive, that 
means it will be not in the main distribution anymore.


Best regards,

Erik


-- 
 www.ErikSchanze.de *********************************************
 Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *
         - Linux-Info-Tag in Dresden auch 2009 wieder           *
             Info: http://www.linux-info-tag.de/                *




Noted your statement that Bug has been forwarded to Koen Holtman <k.holtman@chello.nl>. Request was from Erik Schanze <schanzi_@gmx.de> to control@bugs.debian.org. (Sun, 21 Dec 2008 22:39:03 GMT) Full text and rfc822 format available.

Information stored :
Bug#509287; Package afio. (Mon, 22 Dec 2008 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and filed, but not forwarded. (Mon, 22 Dec 2008 08:54:03 GMT) Full text and rfc822 format available.

Message #30 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: debian-legal@lists.debian.org
Cc: 509287-quiet@bugs.debian.org
Subject: Re: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Mon, 22 Dec 2008 08:52:40 +0000
Erik Schanze <schanzi_@gmx.de> wrote:
> What should I do?
> Have I move afio to non-free?

Thank you for bringing this question to the list - I was going to do
so, but had not found time yet.

More seriously, the Lachman Associates licence doesn't give any
permission to modify the software, does it?

So, I feel we should either claim that we believe the SunSite summary
for some reason that I can't see, seek relicensing from
Sun/Verizon/Kodak, or drop the package as undistributable.

Hope that helps,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct





Message #31 received at 509287-forwarded@bugs.debian.org (full text, mbox):

From: Koen Holtman <k.holtman@chello.nl>
To: Erik Schanze <schanzi_@gmx.de>
Cc: Koen Holtman <k.holtman@chello.nl>, <509287-forwarded@bugs.debian.org>
Subject: Re: Problematic clause in license of afio makes it non-free for Debian
Date: Mon, 22 Dec 2008 21:17:13 +0100 (CET)
Hi Erik,

On Sun, 21 Dec 2008, Erik Schanze wrote:

> 
> Hi Koen,
> 
> [Please keep CC, ignore prev mail, because typo in address]
> 
> I'm the maintainer of the Debian package of afio.
> 
> I got a bug report against package "afio" because of licence problems. 
> The license of afio.c from 1985 isn't free enough for Debian Free 
> Software Guidelines.
> Please see http://bugs.debian.org/509287.
> 
> There is an ongoing discussion on a Redhat list 
> https://bugzilla.redhat.com/show_bug.cgi?id=449037 and they excluded 
> the package already from distribution. There is an other blog on 
> http://www.kernelplanet.org/fedora/ that gave a summary of the current 
> situation.
> 
> What's you opinion?

Oh boy. 

All I can say that in maintaining afio I have made a careful effort to
keep all license info present and correct.  Unfortunately I see no way to
remove the original (1) clause except by the method of contacting the
copyright holders as outlined on various blogs etc.

The SUMMARY INFORMATION text about the LGPL and artistic license got in
there because at the time Sunsite was stronly requesting that all software
be labeled with a license tag from a limited set.  It is not in fact an
attempt at re-licensing the code, even though Tom Calloway seems to like
to imply it is because it gives him a strawman to attack.

> Do you see any chance to change the license of afio.c to a really free 
> one?

Depends on what you call free.  If Artistic license is now considered not
free enough anymore I wonder where the community is going.  

But anyway the definition of free I see applied by the various distro
people discussing it on the web and by their unwillingness to go the route
of considering how the 'may be distributed by a commercial vendor' text
might be interpreted to limit the impact of (1) I see no good chance.

I am not a lawyer but I do have frequent dealings with them in my day job.  
Not that I am sure if any of the people discussing it on the web are
really lawyers.  Some of them seem to be awfully willing to make definite
statements on the record.

> I fear I have to move it to "non-free" section of Debian archive, that 
> means it will be not in the main distribution anymore.

Looks like it.

As the upstream maintainer, I am getting increasingly less bug reports and
questions on afio.  Now and again I toy with the idea of officially 
declaring it legacy and unmaintained.

If you move it to non-free and get many bug reports/questions that 
indicate there is still a big demand for afio I would like to hear it.

The main value of afio over SW with more politically correct free licenses
lies in its ability to do compression on a per-file basis, which makes it
more fault tolerant.  That being said, this feature was developed in a
time of backups to floppy and tape, which were much less reliable media
than hard discs, which is what everybody seems to be using nowadays for
backups. Apart from the compression thing afio is probably more bug-free
than some other offerings, given its age.

It would be difficult to replace all existing (c) Lachman code in afio 
with new code -- not because that code would be impossible to identify but 
because of the amount of re-testing needed.  If the ability to compress 
individual files is really valued: that code was added later than the 
Lachman code so it could be extracted and added to another archiver.  Not 
a project I would have the space cycles for however.  I would be 
available to help identifying that code however.

> Best regards,
> 
> Erik

Cheers,

Koen.






Information stored :
Bug#509287; Package afio. (Tue, 23 Dec 2008 00:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Koen Holtman <k.holtman@chello.nl>:
Extra info received and filed, but not forwarded. (Tue, 23 Dec 2008 00:24:04 GMT) Full text and rfc822 format available.

Message #36 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Koen Holtman <k.holtman@chello.nl>
To: Francesco Poli <frx@firenze.linux.it>, <509287-quiet@bugs.debian.org>
Cc: Erik Schanze <eriks@debian.org>, <debian-legal@lists.debian.org>
Subject: Re: Bug#509287: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Mon, 22 Dec 2008 22:08:46 +0100 (CET)
Hi all,

Few comments below...

On Sun, 21 Dec 2008, Francesco Poli wrote:

> On Sun, 21 Dec 2008 01:00:16 +0100 Erik Schanze wrote:
> 
> [...]
> > I got a Bug against package "afio" because of licence problems.
> > Please see http://bugs.debian.org/509287.
> > 
> > There was already a similar Bug 9 years ago that was closed, after one
> > person from this list gave his OK. 
> > (http://lists.debian.org/debian-legal/1999/05/msg00162.html)
> 
> I don't quite agree with the ease the issue was handled with back in
> 1999...
> 
> > 
> > But I think it's not that easy. It seems the clause is problematic.
> > 
> > There is an ongoing discussion on a Redhat list 
> > https://bugzilla.redhat.com/show_bug.cgi?id=449037 and they excluded 
> > the package already. There is an other blog on 
> > http://www.kernelplanet.org/fedora/ that gave a summary of the current 
> > situation.
> 
> If the license for (a part of) the package is, as stated:
> 
>    * ------------------------------------------------------------------
>    *
>    * License notice 1, covering part of this software package.
>    *
>    * [Covers the original 1985 afio code]
>    *
>    * Copyright (c) 1985 Lachman Associates, Inc..
>    *
>    * This software was written by Mark Brukhartz at Lachman Associates,
>    * Inc.. It may be distributed within the following restrictions:
>    *	(1) It may not be sold at a profit.
>    *	(2) This credit and notice must remain intact.
>    * This software may be distributed with other software by a commercial
>    * vendor, provided that it is included at no additional charge.
>    *
>    *
>    * [Note: it is believed that condition 5 of the Perl "Artistic
>    * License" implies the intent of restriction (1) above.]
>    *
>    * --------
> 
> then I think there are some serious issues.
> 
> First off: restriction (1) seems to fail DFSG#1, as it forbids selling
> the software package, even "as a component of an aggregate software
> distribution".
> The following exception does not help, IMHO, since it discriminates
> against people who are not "commercial vendors" (DFSG#5): whatever that
> may mean, I think at least some people will not qualify as "commercial
> vendors".

I think the exception does help.

The question is: can somebody who does not qualify as a commercial vendor
still sell at a profit? I think no, I believe the author of the text meant
commercial vendors to be a set larger than 'sellers at profit': and if so,
then the exception applies to all entities to whom (1) would apply. 

As the .tar.gz file of afio which is the basic unit of distribution
ALREADY contains other software that is distributed with the license 1
code, i.e. the fnmatch code GPL code, anybody who is charging for the
distribution of the combined work can claim that the basis of the whole
charge is outside of the license 1 code, e.g. in the GPL code.

If you are not charging for distribution you are obviously not in 
violation of (1).

> 
> Moreover: where's the permission to modify the software package?
> The license seems to utterly fail to meet DFSG#3.

Hmm..  Well I believe it was originally posted to comp.sources or 
something with a note that it is quite portable -- a clear implication by 
the author that modification is intended.  As far as I can see (2) implies 
that you can modify it all you want as long as the credit and notice 
remains intact.

Basically it comes down to this: in dealing with very old software, is the
current legal community behind the distributions willing to consider the
fact that license writing was not as advanced back then, and engage in a
good-faith effort to interpret the original text and wishes of the author,
by which they arguably expose themselves and the wider community to some
legal and reputation risks, or will the legal community insist on applying
modern standards of license writing to all license texts and declare
impure all the old software for which they cannot fix the license?  The
latter course of action would leave me somewhat saddened of course because
I feel we need to honour the gifts of our predecessors even if these gifts
pre-date the era of the advanced free licenses we have today.

> 
> I personally think that afio should be moved to the non-free archive,
> provided that it is deemed to be legally distributable (the attempt to
> claim that the whole package is under a different license could even be
> seen as a copyright violation, maybe).

Please read the SUMMARY INFORMATION again, not the bloggers. In no
location does it claim or attempt to claim that the package is under a
different license.

> 
> 
> What I wrote above is my own personal opinion, my usual disclaimers
> apply: IANAL, TINLA, IANADD, TINASOTODP.

Cheers, HAND,

Koen. 





Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Thu, 25 Dec 2008 16:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Schanze <schanzi_@gmx.de>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Thu, 25 Dec 2008 16:57:02 GMT) Full text and rfc822 format available.

Message #41 received at 509287@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: "Michael Gilbert" <michael.s.gilbert@gmail.com>, 509287@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#509287: afio: license is non-free
Date: Thu, 25 Dec 2008 17:55:43 +0100
[Message part 1 (text/plain, inline)]
severity 509287 important
thanks

Hi Michael,

"Michael Gilbert" <michael.s.gilbert@gmail.com>:
> Package: afio
> Version: 2.5-5
> Severity: serious
>
> the license for afio is non-free.  see /usr/share/doc/afio/copyright:

> i'm marking this as serious for now since this is a DFSG violation,
> but i can appreciate a decision to mark it lenny-ignore or to
> temporarily downgrade it to important since the release is impending.
>
I would like to downgrade this bug temporarily to important to not 
interrupt the freeze, hope you agree.

I'm in contact with current upstream and we are on collecting 
informtion, that will explain the free meaning of afio license. I'm 
really confident that afio is free software and come up with more info 
next year, ok?

Please remember we speak about a software from 1985, years before GPL
was formed.


Kindly regards,

Erik


-- 
 www.ErikSchanze.de *********************************************
 Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *
         - Linux-Info-Tag in Dresden auch 2009 wieder           *
             Info: http://www.linux-info-tag.de/                *
[signature.asc (application/pgp-signature, inline)]

Severity set to `important' from `serious' Request was from Erik Schanze <schanzi_@gmx.de> to control@bugs.debian.org. (Thu, 25 Dec 2008 16:57:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#509287; Package afio. (Fri, 26 Dec 2008 11:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Weimer <fw@deneb.enyo.de>:
Extra info received and filed, but not forwarded. (Fri, 26 Dec 2008 11:33:04 GMT) Full text and rfc822 format available.

Message #48 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Florian Weimer <fw@deneb.enyo.de>
To: debian-legal@lists.debian.org
Cc: 509287-quiet@bugs.debian.org
Subject: Re: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Fri, 26 Dec 2008 12:29:52 +0100
* MJ Ray:

> More seriously, the Lachman Associates licence doesn't give any
> permission to modify the software, does it?

Right, this is clearly a problem.  Consequently, the dubious state of
licensing does not matter much (except if you buy into the "stack of
licenses" idea, which we generally don't, except maybe for Python).

> So, I feel we should either claim that we believe the SunSite summary
> for some reason that I can't see, seek relicensing from
> Sun/Verizon/Kodak, or drop the package as undistributable.

Undistributable because it's been modified, contrary to the original
license terms?  Hmm.




Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Fri, 26 Dec 2008 21:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc 'HE' Brockschmidt <he@ftwca.de>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Fri, 26 Dec 2008 21:03:02 GMT) Full text and rfc822 format available.

Message #53 received at 509287@bugs.debian.org (full text, mbox):

From: Marc 'HE' Brockschmidt <he@ftwca.de>
To: Erik Schanze <schanzi_@gmx.de>
Cc: 509287@bugs.debian.org, "Michael Gilbert" <michael.s.gilbert@gmail.com>, control@bugs.debian.org
Subject: Re: Bug#509287: afio: license is non-free
Date: Fri, 26 Dec 2008 22:00:00 +0100
[Message part 1 (text/plain, inline)]
severity 509287 serious
tags 509287 + lenny-ignore
thanks

Erik Schanze <schanzi_@gmx.de> writes:
> severity 509287 important
> thanks
> "Michael Gilbert" <michael.s.gilbert@gmail.com>:
>> the license for afio is non-free.  see /usr/share/doc/afio/copyright:
>>
>> i'm marking this as serious for now since this is a DFSG violation,
>> but i can appreciate a decision to mark it lenny-ignore or to
>> temporarily downgrade it to important since the release is impending.
> I would like to downgrade this bug temporarily to important to not 
> interrupt the freeze, hope you agree.

Errr ... The severity of this bug isn't changed by the fact that we are
trying to release. The correct move is to ask the release team for a
lenny-ignore tag (which I've set now, as this bug was discovered very
late in the cycle, we've relased with it before, the issue is not
looking it would actually become a legal liability, but is due to
software being created before free software was actually a concept
widely spread)

Marc
-- 
BOFH #332:
suboptimal routing experience
[Message part 2 (application/pgp-signature, inline)]

Severity set to `serious' from `important' Request was from Marc 'HE' Brockschmidt <he@ftwca.de> to control@bugs.debian.org. (Fri, 26 Dec 2008 21:03:03 GMT) Full text and rfc822 format available.

Tags added: lenny-ignore Request was from Marc 'HE' Brockschmidt <he@ftwca.de> to control@bugs.debian.org. (Fri, 26 Dec 2008 21:03:04 GMT) Full text and rfc822 format available.

Information stored :
Bug#509287; Package afio. (Sat, 27 Dec 2008 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to <k.holtman@chello.nl>:
Extra info received and filed, but not forwarded. (Sat, 27 Dec 2008 11:30:03 GMT) Full text and rfc822 format available.

Message #62 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: <k.holtman@chello.nl>
To: 509287-quiet@bugs.debian.org, debian-legal@lists.debian.org
Cc: k.holtman@chello.nl
Subject: Re: Bug#509287: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Sat, 27 Dec 2008 12:29:40 +0100
Dear All,

As the afio upstream maintainer I am currently working off-list with some people to clarify the background the afio license text, how and when it got updated and interpreted, and what were the historical intentions of the authors involved.  We are making some progress.

I expect that within a week we will be able to post some new information on-list.

Cheers,

Koen.





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#509287; Package afio. (Sat, 27 Dec 2008 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Schanze <eriks@debian.org>:
Extra info received and forwarded to list. (Sat, 27 Dec 2008 16:45:03 GMT) Full text and rfc822 format available.

Message #67 received at 509287@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: Marc 'HE' Brockschmidt <he@ftwca.de>, 509287@bugs.debian.org
Cc: "Michael Gilbert" <michael.s.gilbert@gmail.com>
Subject: Re: Bug#509287: afio: license is non-free
Date: Sat, 27 Dec 2008 17:45:02 +0100
Hi Marc,

Marc 'HE' Brockschmidt <he@ftwca.de>:
> severity 509287 serious
> tags 509287 + lenny-ignore
> thanks
>
> Erik Schanze <schanzi_@gmx.de> writes:
> > severity 509287 important
> > thanks
> >
> > "Michael Gilbert" <michael.s.gilbert@gmail.com>:
> >> the license for afio is non-free.  see
> >> /usr/share/doc/afio/copyright:
> >>
> >> i'm marking this as serious for now since this is a DFSG
> >> violation, but i can appreciate a decision to mark it lenny-ignore
> >> or to temporarily downgrade it to important since the release is
> >> impending.
> >
> > I would like to downgrade this bug temporarily to important to not
> > interrupt the freeze, hope you agree.
>
> Errr ... The severity of this bug isn't changed by the fact that we
> are trying to release. The correct move is to ask the release team
> for a lenny-ignore tag (which I've set now, as this bug was
> discovered very late in the cycle, we've relased with it before, the
> issue is not looking it would actually become a legal liability, but
> is due to software being created before free software was actually a
> concept widely spread)
>
You are right, this is indeed the best solution, thank you for jumping 
in.


Kindly regards and a happy new year,

Erik


-- 
 www.ErikSchanze.de *********************************************
 Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *
         - Linux-Info-Tag in Dresden auch 2009 wieder           *
             Info: http://www.linux-info-tag.de/                *




Severity set to `important' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Wed, 31 Dec 2008 05:21:02 GMT) Full text and rfc822 format available.

Information stored :
Bug#509287; Package afio. (Wed, 31 Dec 2008 05:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 31 Dec 2008 05:21:04 GMT) Full text and rfc822 format available.

Message #74 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Erik Schanze <eriks@debian.org>
Cc: debian-legal@lists.debian.org, 509287-quiet@bugs.debian.org
Subject: Re: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Tue, 30 Dec 2008 23:19:37 -0600
severity 509287 important
thanks

Hi Erik,

On Sun, Dec 21, 2008 at 01:00:16AM +0100, Erik Schanze wrote:
> Dear debian-legal folks,

> I got a Bug against package "afio" because of licence problems.
> Please see http://bugs.debian.org/509287.

> There was already a similar Bug 9 years ago that was closed, after one
> person from this list gave his OK. 
> (http://lists.debian.org/debian-legal/1999/05/msg00162.html)

> But I think it's not that easy. It seems the clause is problematic.

> There is an ongoing discussion on a Redhat list 
> https://bugzilla.redhat.com/show_bug.cgi?id=449037 and they excluded 
> the package already. There is an other blog on 
> http://www.kernelplanet.org/fedora/ that gave a summary of the current 
> situation.

> What should I do?
> Have I move afio to non-free?

Well, http://spot.livejournal.com/303000.html misses the point by a long
shot.  The original license is not non-free because of prohibitions on sale;
there are other licenses we've accepted as free that prohibit direct sale of
the software, so long as they allow commercial distribution of the software
in a bundle with other software.  It's not a *good* license, but it's not a
non-free license for failing DFSG#1.  If you read the full text of DFSG#1,
it's clear that the wording was informed by just such licenses as this.

Rather, the original license is non-free because it lacks any permission to
*modify*.  Since this is not a right that we have by default under
copyright, if we don't have a license from the copyright holder to modify
this software, then it fails DFSG#3.

The question is, do we have permission to modify it?  Tom Calloway claims
that the later licensing notice is invalid because:

  [S]omeone (oh mysterious unknown person of the internets) decided that
  afio was pretty darned useful and uploaded it to sunsite (which used to be
  a pretty good place to dump useful UNIXy things that you found on the
  internets). At some point, someone at SunSite (again, this person's name
  is lost to the internets) decided to redefine the licensing terms. [...]
  Thus, whoever wrote it, took a big leap in IANAL licensing and decreed
  that the "software package as a whole" may be distributed under any method
  that meets the Artistic or LGPL license".

So in point of fact, he admits he does *not* know who attached this license
to the afio code.  The claim that the work is covered by this license may be
an unfounded assertion, but so is any claim that this is an invalid license.

If specific evidence comes to light that permission was *not* granted by the
copyright holder to place the work under the Artistic License, then we
should treat this as an RC bug.  But unless that happens, there's nothing
here that makes the package ineligible for inclusion in main, AFAICS.

So downgrading the bug severity is the correct course of action here for
that reason.

There's also enough cause for doubt here that it's warranted to continue
investigating so we can be sure about the real license status; hence the bug
should not be closed outright, IMHO.

(The lenny-ignore tag is also left in place, reflecting the release team's
intent to not treat this as a blocker for lenny if there were a reason to
re-raise the severity.)

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information stored :
Bug#509287; Package afio. (Mon, 23 Feb 2009 21:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Koen Holtman <k.holtman@chello.nl>:
Extra info received and filed, but not forwarded. (Mon, 23 Feb 2009 21:00:05 GMT) Full text and rfc822 format available.

Message #79 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Koen Holtman <k.holtman@chello.nl>
To: 509287-quiet@bugs.debian.org, <debian-legal@lists.debian.org>
Cc: Koen Holtman <k.holtman@chello.nl>
Subject: Re: Bug#509287: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Mon, 23 Feb 2009 21:56:57 +0100 (CET)
Dear All,

Acting as the upstream afio maintainer I just finished a LONG note on the
license status of afio.  The note includes a clarifying comment by Mark
Brukhartz, the author of the original afio license text.

I hope that this note will help the afio user community, by informing
the user community on the somewhat complex legal status of the afio
license.  For Debian I hope that this note will help Debian close
"Bug#509287: afio: license is non-free".  So I would like to invite
debian-legal to read the note and discuss what it means for the afio
package bug.

Cheers,

Koen.

<start of note>

Issues with the afio license text identified in 2008 
====================================================


About afio
==========

Afio is a fault-tolerant archiver/backup tool for Unix systems.  Afio
was created in 1985 by Mark Brukhartz. Since then, many contributers
and maintainers have added features and bug fixes.  Afio is similar to
Unix tools like tar, cpio, star, and pax.  However, as a feature that
these other tools lack: afio has the ability to make compressed
archive files that are very fault tolerant against byte errors.  This
fault tolerant compression has attracted a user base that has been
sufficiently large to keep afio alive as a maintained piece of
software.

Afio project information and link to sources:
http://freshmeat.net/projects/afio/

About this note
===============

In 2008, several people have raised the question if afio can be
considered 'free' software by modern standards, see for example

https://bugzilla.redhat.com/show_bug.cgi?id=449037
http://spot.livejournal.com/303000.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=509287
http://www.mail-archive.com/debian-legal@lists.debian.org/index.html#39478

A number of separate issues were raised in these discussions, this
note tries to identify and address all of them.

The answer to the question if afio is free depends partly on the
definition of free.  This note will not try to define the true meaning
of free.  The main goal of this note is to help the reader to
determine if afio is 'free software' or 'open source' or 'freely
distributable' by the definition chosen by the reader.  To meet that
goal, various valid but sometimes contradictory lines of reasoning
about 'free' will be described and discussed.

This note was written by Koen Holtman (the current afio maintainer) in
January/February 2009, based on a review of the discussions on the web
and further e-mail discussions with a number of people.

In this note, the term 'FOSS' is used to refer to the broad class of
free/open/etc software in general.  The term 'Linux distro' is used to
refer to any GNU/Linux distribution.

Disclaimer: the author of this note is not a lawyer, nor does he play
one on TV.  


Full afio license text
======================

The full afio license text (for afio 2.4.6 and later) is reproduced in
this section.

<start>
 * afio.c
 *
 * Manipulate archives and files.
 *
 * This software was written by Mark Brukhartz at Lachman Associates,
 * Inc..  Additional code was written by a large cast of people.  
 *
 * Licensing and (re)distribution
 * ------------------------------
 *
 * THE SUMMARY INFORMATION BELOW WAS WRITTEN FOR THE BENEFIT OF 
 * SOFTWARE DISTRIBUTORS
 *
 * Because of historical reasons, different parts of this software
 * package are covered by different licenses.  However:
 *
 * A) This software package as a whole may be re-distributed by any
 *    method that satisfies the conditions of both the Perl "Artistic
 *    License" and the GNU Library General Public License.
 *
 * B) According to the theory.html file of the Sunsite Archive
 *    Maintainers, this implies that the correct LSM template field
 *    is:
 *
 *          Copying-policy: LGPL
 * 
 * C) This software package can also be re-distributed under
 *    particular conditions that are _weaker_ than the Perl "Artistic
 *    License" combined with the GNU Library General Public License.
 *    Redistribution need only satisfy all four license notices below.
 *
 * Disclaimer: I am not a lawyer, and neither are the Sunsite Archive
 * Maintainers.
 *
 * END OF SUMMARY INFORMATION
 *
 * ------------------------------------------------------------------ 
 *
 * License notice 1, covering part of this software package.
 *
 * [Covers the original 1985 afio code]
 * 
 * Copyright (c) 1985 Lachman Associates, Inc..
 *
 * This software was written by Mark Brukhartz at Lachman Associates,
 * Inc.. It may be distributed within the following restrictions:
 *	(1) It may not be sold at a profit.
 *	(2) This credit and notice must remain intact.
 * This software may be distributed with other software by a commercial
 * vendor, provided that it is included at no additional charge.
 *
 *
 * [Note: it is believed that condition 5 of the Perl "Artistic
 * License" implies the intent of restriction (1) above.]
 *
 * --------
 *
 * ** License notice 2, covering part of this software package.
 *
 * [Covers the tempnam function]
 *
 * Copyright:	Copyright (c) 1989 by Monty Walls.
 *		Not derived from licensed software.
 *
 *		Permission to copy and/or distribute granted under the
 *		following conditions:
 *
 *		1). This notice must remain intact.
 *		2). The author is not responsible for the consequences of use
 *			this software, no matter how awful, even if they
 *			arise from defects in it.
 *		3). Altered version must not be represented as being the
 *			original software.
 *
 * --------
 *
 * ** License notice 3, covering part of this software package.
 *
 * [Covers the contents of the gnu.fnmatch.tar.gz file]
 *
 *  Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public License as
 *  published by the Free Software Foundation; either version 2 of the
 *  License, or (at your option) any later version.
 *  
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *  
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; see the file COPYING.LIB.  If
 *  not, write to the Free Software Foundation, Inc., 675 Mass Ave,
 *  Cambridge, MA 02139, USA.  
 *
 * --------
 *
 * ** License notice 4, covering part of this software package.
 *
 * [Covers the remainder of this software package]
 *
 * Additional code was written by a large cast of people.
 *
 * All additional code may be redistributed under the conditions of
 * license notice 1.
 *
 * Note that the authors of the additional code retain the right to
 * allow for the re-distribution of their code under weaker (and less
 * exotic) conditions.
 *
 * --------
 *
 * ** WARRANTY NOTICE
 *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 *
 *
 * [End of licensing and redistribution section] 
<end>

The remaining sections of this note address issues raised with this
license.  

The most important issue is issue number 2.  Issue number 1 is about
the question: why bother at all?


Issue 1. Why bother distributing afio if there are alternatives 
like tar and cpio with a standard OSI/FSF approved free license?
================================================================

- Issue 1 description

The afio license is not a standard OSI/FSF approved free license, in
fact it includes text written in 1985 that is widely considered to be
problematic.

There are several tools, with arguably better licenses, that are
similar to afio, e.g.

 gnu tar (GPL v3)
 gnu cpio (GPL v3)
 star (CDDL+GPL, though there seem to be some disputes about license
  compatibility)
 heirloom cpio/pax (free license)
 pax from Keith Muller

So would it not be a good thing to remove afio from a Linux distro?
Removal would make a) the license situation of the distro more
easy/pure while b) not removing any functions people need.

- Response to issue 1

1) Utility argument

The above mentioned alternatives to afio do not provide everything
that afio provides, so removing it from a Linux distro would decrease
the utility of the distro.  Some users of the distro will miss it if
it is taken out.

afio has one unique feature (fault tolerant compressed archives) that
all of the above lack.  Also, it has several specialized options that
the other tools lack, and there are deployed backup scripts that rely
on these specialized options.  Afio is also very mature (bug-free) and
portable because of its age and user base.  The user base includes
power users backing up large and complex filesystems, and these power
users have historically found and fixed very obscure bugs.  This
maturity of afio is a big advantage in a backup tool -- a
written-from-scratch replacement would take a long time to be equally
mature.

Several FOSS backup packages support afio as an archive engine, and
some were designed specifically around afio.

2) Community/historical argument

Afio is a FOSS project that started in 1985 and has grown 4-fold in
code size and features since.  Including afio into a distro shows to
potential FOSS contributers just how long such software can remain
useful, and celebrates the continuity between the current Web based
FOSS community with the historical UNIX/USENET news based FOSS
community.


Issue 2. License places limits on redistribution by some parties
================================================================

- Issue 2 description

Several definitions of 'free' software include the requirement that
any party should be able to re-distribute it.  For example.  Debian
Free Software Guideline 1 (DFSG#1) states:

  The license of a Debian component may not restrict any party from
  selling or giving away the software as a component of an aggregate
  software distribution containing programs from several different
  sources. [...]

(See: http://www.debian.org/social_contract.en.html )

The following part of the afio license can be read to contradict this:

 * This software was written by Mark Brukhartz at Lachman Associates,
 * Inc.. It may be distributed within the following restrictions:
 *	(1) It may not be sold at a profit.
 *	(2) [...]
 * This software may be distributed with other software by a commercial
 * vendor, provided that it is included at no additional charge.

The problem is that the last two lines of the above text do allow the
'selling or giving away the software as a component of an aggregate
software distribution', but they ONLY allow this, when the selling is
at a profit, if you are a 'commercial vendor'.  So for example a
private individual, who cannot be considered a commercial vendor,
would be prevented by this license from burning and re-selling a CD
including afio at a profit.  Therefore the license restricts some
parties from re-distribution, violating DFSG#1 and also DFSG#5, making
afio non-free.

- Response to issue 2

The above interpretation of the license text is a possible one, but it
is not the only possible interpretation.  If one wants to make a case
for afio satisfying DFSG#1, then one has to argue that the designation
'commercial vendor' designates very broadly ANY party that is engaged
in 'selling at a profit'.  

A private individual re-selling a CD including afio at a profit could
claim to be acting as a 'commercial vendor' as far as the meaning of
the license text is concerned.  Is such a claim credible?  I believe
it is.

Below are the two arguments why 'commercial vendor' covers any party
selling at a profit.

1) Argument by authority of the author

We managed to contact Mark Brukhartz, and after discussion of the
issues he provided a statement on the meaning of the license text that
he wrote.  The text is:

 * This software was written by Mark Brukhartz at Lachman Associates,
 * Inc.. It may be distributed within the following restrictions:
 *	(1) It may not be sold at a profit.
 *	(2) [...]
 * This software may be distributed with other software by a commercial
 * vendor, provided that it is included at no additional charge.

Here is the statement from Mark on this license text:

  It's my opinion, as the sole author of the license, that it does not
  restrict any party from selling or giving away the software as a
  component of an aggregate software distribution containing programs
  from several different sources.  Clause (1) allows the giving away
  of the software and the selling at no profit.  The text 'This
  software may be distributed with other software by a commercial
  vendor, provided that it is included at no additional charge' should
  be read as granting the additional right to sell at profit the
  software as part of an aggregate distribution -- the term
  'commercial vendor' was written to mean, and should be read to mean,
  'any seller who aims to make a profit'.

If should be pretty clear that Mark believes that the license
satisfies DFSG#1 and DFSG#5. 

I should caution the reader that this statement by Mark does not
fully resolve the interpretation issue: theoretically a judge might
disagree with Mark, and a judge is allowed to have the final
say. Also, Mark is not the legal owner of the license: Lachman
Associates owned the copyright and therefore the license, but Lachman
and its intellectual property was later sold to another company, and
it is in fact not clear which company owns the copyright to Mark's
code right now, see this link:

  http://spot.livejournal.com/303000.html

Also, after Mark wrote and licensed the original code, the afio code
base has grown by a factor of 4, so some other contributers (who
retain ownership of the copyrights to their own code) could
potentially speak up to object to Mark's opinion.  Nevertheless, as
Mark was the sole author of the license text in question, his opinion
on the interpretation of the text does carry significant weight.

2) Argument that a broad interpretation of the meaning of 'commercial
vendor' is possible and most likely

If we look up 'commercial vendor' in the dictionary
(http://www.thefreedictionary.com/), we find:

  vendor [..]
    1. One that sells or vends: a street vendor; a vendor of software
       products on the Web.
    2. [...]
  [...]

 commercial [...]
   [...]
   3. Having profit as a chief aim [...]

So it is perfectly valid to read 'commercial vendor' as broadly 'one
that sells with profit as a chief aim', meaning 'anybody who sells at
a profit'.  It is not necessary to narrowly read 'commercial vendor'
as 'a real company as opposed to a private individual'.

Also speaking for the broad interpretation is the fact that the words
'it may not be sold at a profit' were used a few lines earlier in the
license text.  It is very plausible that the term 'commercial vendor'
was used by the author as a short-hand to designate anyone doing the
opposite of 'it may not be sold at a profit'.


- Cautionary statement about the above two arguments

It should be stressed that the above arguments about the broad
interpretation of 'commercial vendor' are not 100.00% 'safe' in a
legal sense.  Any trained lawyer will immediately see that there is
some ambiguity in the afio license text, and that this ambiguity
leaves enough room for a judge to disagree with the above arguments on
why 'commercial vendor' should be interpreted broadly.  Therefore,
anybody acting as if these arguments were true runs the risk of facing
a judge who might not agree.  One of the jobs of a trained lawyer is
to identify such legal ambiguities and to deal with them -- by having
their client stop taking the risk, or by seeking out the license owner
to obtain a clarification that removes the ambiguity.  Unfortunately,
contacting the license owner is not really possible in the case of
afio, see issue #4 below.

So we are left with the following cautionary statement: even though I
believe that the arguments above are very convincing, you will be
taking a legal risk if you re-distribute afio.  I believe it is a very
small risk.  I believe that, if you are a distributer even a very
'pure' version of GNU/Linux, you are already engaged in taking
comparatively larger legal risks.  Somewhat credible parties have
stated that the Linux kernel infringes on patents that have never been
licensed for general use.  In most countries, any distributer of the
Linux kernel therefore runs the legal risk of being sued for patent
infringement.


Issue 3. License does not permit modification
=============================================

- Issue 3 description

Debian Free Software Guideline 3 (DFSG#3) states:

  The license must allow modifications and derived works, and must
  allow them to be distributed under the same terms as the license of
  the original software.

The afio license notices (except for notice 3 which is the LGPL) do
not contain any explicit statement allowing modification, or
re-distribution of modified works.  So afio fails the test of DFSG#3
and cannot be called free software.

- Response to issue 3

Under most versions of copyright law, the default situation is that
original author has the sole right of making copies, and also the sole
right of making modified copies.  So the absence of an explicit
statement in which the author also grants this right to others is
indeed cause for concern.

So we have to ask ourselves: did the copyright holders of afio in fact
grant the right to modify their work to others?  I believe they did,
so afio does satisfy DFSG#3.  I have 2 arguments why they did.

1) Argument by the contents of the license notices

If we look at the 4 license notices, we see that

- notice 1 contains the statement

   It may be distributed within the following restrictions:
   [...] (2) This credit and notice must remain intact.

- notice 2 contains the statement

   Permission to copy and/or distribute granted under the
   following conditions:
   1). This notice must remain intact. [...]

- notice 3 is the LGPL, which explicitly allows modification

- notice 4 refers to the conditions of notice 1.

So in fact notice 1, 2, and 4 all contain the clause 'this notice must
remain intact'.  Such a clause can be read to imply that 'it is not a
condition that the parts of this work outside of this notice remain
intact'.  By explicitly forbidding the modification of the notice,
they license owners are implicitly allowing the modification of other
parts of the work.  Had they wished to forbid such modifications of
the rest of the work, they would have written different license
notices.

2) Argument by implied licensing

Implied licensing is a legal principle by which a copyright owner can
be said to have granted a license for a certain type of use
implicitly, by their actions, as opposed to explicitly, by writing a
clause in a license text.  See for example:

http://en.wikipedia.org/wiki/Implied_license
http://www.iplawobserver.com/2008/09/implied-license-to-use-custom-created.html

The principle of implied licensing contradicts, to some extent, the
principle in international copyright law that all rights about which
an author remains silent are automatically assigned to the author
only, see

http://en.wikipedia.org/wiki/Copyrights#Berne_Convention_for_the_Protection_of_Literary_and_Artistic_Works

There is a growing body of (US) case law supporting implied licensing.
The most interesting part of case law for afio is the court opinion in
Field v. Google, linked from these pages:

http://www.iplawobserver.com/2006/03/googles-cache-was-fair-use-according.html
http://en.wikipedia.org/wiki/Field_v._Google#Implied_License

In this case, Field created a public web page and then objected to
this web page being available in the Google cache.  Google argued,
among other things, that they had an implied license to make the page
available via the Google cache.  The court described implied license
as follows:

  A license is a defense to a claim of copyright infringement. [...] A
  copyright owner may grant a nonexclusive license expressly or
  impliedly through conduct. [...] An implied license can be found
  where the copyright holder engages in conduct from which [the] other
  [party] may properly infer that the owner consents to his use.
  [...] Consent to use the copyrighted work need not be manifested
  verbally and may be inferred based on silence where the copyright
  holder knows of the use and encourages it.

The court found it significant that Field knew in advance that Google
would be caching his page unless he took some actions in labeling his
web site to prevent it, and that he chose not to take those actions --
Field remained silent thereby granting implied license.  If we look at
the case of afio, we can build an argument for the granting of implied
license as follows.

A. Mark Brukhartz, an employee of the license holder at the time,
   posted the afio source code, including an explicit license
   statement, to comp.sources.unix in 1987.  Link:

     http://groups.google.com/group/comp.sources.unix/browse_thread/thread/ce3312137ad92a37/ec49f37f3e59a267?lnk=gst&q=afio#ec49f37f3e59a267

B. The explicit license text was silent on limiting the right to
   modify the code.  To show that there was an implicit license of to
   modify the code, we have to show that modification was one of the
   uses that the license holder could have expected after posting the
   code to comp.sources.unix. 

C. The comp.sources community was an early FOSS community, and people
   extending other people's code was one of the things that could be
   expected in that community. Indeed the creation of such extensions
   happened almost immediately in the case of afio -- see D. and
   E. below.

D. The above newsgroup archive link shows that after Mark submitted
   the sources of afio to the newsgroup, Rich Salz, the moderator of
   the newsgroup, added a Makefile to the sources before forwarding
   them to the group, thereby in fact distributing a modified version
   of afio.  It was common practice for Rich Salz to add a Makefile
   when submitted sources did not have them; the license holder would
   probably have known this -- and took no steps to forbid it.

E. Mark did not explicitly object when modifications to afio were
   posted.  For example, three days after the afio post to
   comp.sources.unix, Karl Denniger posted an improvement for afio to
   comp.sources.d (an unmoderated companion newsgroup to
   comp.sources.unix), with the description:

      These are context diffs to the 'afio' program, a cpio
      replacement, that was posted recently.  The changes here take
      care of what I saw as a possible 1gaffe in the '-y' and '-Y'
      options.

   Link: http://groups.google.com/group/comp.sources.d/browse_thread/thread/381df257b583954e

F. The license holder knew that it was common practice to modify code
   posted to comp.sources.unix. To illustrate that Lachman Associates
   would have been well aware of the practice of extending software
   tools in the context of the comp.sources newsgroups: in 1989, two
   Lachman employees greatly extended a terminal emulator program
   written by someone else in 1986, and posted their extended version
   to comp.sources.atari.st, see:

    http://groups.google.com/group/comp.sources.atari.st/msg/95d006760c056af1


Given all of the above, it can be argued that the actions of Mark
(while he identified himself as working for the license owner Lachman
Associates) constituted the granting of an implied license to modify
afio.  

The current version of afio contains many contributions by other
people than Mark, and these contributors typically did not add any
license texts of their own. For these contributions, similar arguments
for the granting of implied license to modify can be made.

Note that the principle of implied licensing has been developed mostly
through recent US case law; as far as I know it is still absent from
international treaties.  So in some locations, invoking this principle
will be legally more risky than in other locations.  A trained legal
person would prefer to avoid a reliance on implied licensing whenever
possible.


Issue 4. Afio should be re-licensed under a better license
==========================================================

- Issue 4 description

Various software packages which had problematic licenses have now been
re-licensed under better licenses.  Often they have been re-licensed
under OSI/FSF approved licenses.  The same should be done with afio.

- Response to issue 4

It would be nice if re-licensing of afio were possible, but it is not
possible in practice.

Afio, in the current 2.5 version, is not the in-house product of a
single company.  In the 22 years since Mark Brukhartz posted afio to
comp.sources.unix, the FOSS community has added many features which
have made the package grow by a factor of 4.  Several authors have
contributed major pieces of code to afio, and many more contributers
(an estimated 40-100 people) provided patches, ideas, and example
scripts.  The afio sources do not contain complete log files
containing the names of all contributers, so contacting all of them,
which would be required by copyright law in order to re-license afio,
is a virtually impossible task.  Furthermore, as mentioned above, Mark
Brukhartz is not the owner of the copyright of the original afio code,
Lachman Associates owned this copyright, and it is unclear which
company owns it now (see http://spot.livejournal.com/303000.html).
That company would have to be identified and would have to be willing
to re-license.

As an alternative to re-licensing ALL afio code, it would be possible
to try to find a subset of the contributers and ask them to re-license
their own contributed code.  Depending on the success in finding the
contributers, this could (according an the estimate of the current
maintainer) bring about 30-60% of the afio code base under a new
license. However, but such an action would not satisfy those seeking
legal clarity on the status of afio as a whole.

Some software projects have managed to improve their license situation
by re-writing from scratch those parts of the code that had
questionable or unknown licenses.  However, for afio this would mean
rewriting 30-70% of the code.  Any such re-write would introduce a lot
of new bugs, which is not desirable in a mature backup tool.


Issue 5. What about the Copying-policy: LGPL thing in the license text?
=======================================================================

- Issue 5 description

The license text includes at the start a summary

 * THE SUMMARY INFORMATION BELOW WAS WRITTEN FOR THE BENEFIT OF 
 * SOFTWARE DISTRIBUTORS

and this summary text  explains how

 *          Copying-policy: LGPL

is the right LSM template value for afio.  

The writing of this summary information has been interpreted by some
sources as an attempt to re-license afio under the LGPL, see
e.g. http://spot.livejournal.com/303000.html.

So one might ask: is this summary information an attempt a
re-licensing, and if not, why is it there?  

- Response to issue 5

(Response written by Koen Holtman, author of the SUMMARY INFORMATION
in question, partly based on personal recollections)

The summary information is definitely not an attempt at relicensing. A
close reading should make this clear. 

The summary information was added to afio in November 1999, it was
prompted by the fact that the sunsite/ibiblio/metalab FTP site robots
at that time stopped accepting random strings Copying-policy field of
the .lsm file.  (.lsm is a metadata file format for describing FOSS
software packages on FTP sites) The FTP site robots only accepted
certain fixed strings like 'LGPL'.  See the following web page:

http://web.archive.org/web/20001117112300/http://www.ibiblio.org/pub/Linux/LICENSES/theory.html

The LGPL label was chosen by Koen Holtman among the possible fixed
strings based on the contents of the web page above.  Note that the
Perl Artistic license referred to at the time was the 'original' Perl
artistic license of 1997 which contains the following text:

   You may charge a reasonable copying fee for any distribution of
   this Package. You may charge any fee you choose for support of this
   Package. You may not charge a fee for this Package itself.

Several people have since argued that part of the Artistic license
text has problems, and a new version of the Artistic license (v2.0)
was written that excludes this text.

In an interesting twist, the site freshmeat.net at one point seems to
have imported the computer-readable .lsm file of afio, using the
Copying-policy line to create a 'license' line on the web site:

 [License] OSI Approved :: GNU Lesser General Public License (LGPL)

(see http://web.archive.org/web/20070930211041/http://freshmeat.net/projects/afio/ )

So the interaction between the sunsite and freshmeat automatic robots
seems to have effectively 'laundered' the complex license status of
afio.  Then, the FSF seems to have copied the data from Freshmeat:

http://web.archive.org/web/20080109010049/http://directory.fsf.org/project/afio/
Both these directories have since been corrected.


Issue 6.  Several people working for/with FOSS related
organizations have called afio not-free.
=======================================================

- Issue 6 description

In his blog post at http://spot.livejournal.com/303000.html , Tom
Callaway, who works on Fedora legal issues, quoted the 1985 part of
the afio license and wrote:

   Now, this license isn't free.

Tom then goes on point out that the main problem with the license is
with the 'It may not be sold at a profit.' clause, i.e. issue 2 above.

At https://bugzilla.redhat.com/show_bug.cgi?id=449037, similar
conclusions are drawn, and the issue of including afio in Fedora is
closed as 'cannot fix'.

In response to issues raised by Tom Callaway, the FSF reviewed the
afio license and removed afio from it's Free Software directory.  (See
a note by Brett Smith in the comment track at
http://spot.livejournal.com/303000.html.)  This removal means that the
FSF determined that the afio license is non-free by FSF standards.

So it seems like expert opinion is going against the idea that afio
is free.

- Response to issue 6

Are the experts above wrong?  I believe that they have made no logical
errors in their reasoning -- it looks like they correctly applied a
set of rules to determine freeness.  So if we are to make a case for
afio being 'free' by some definitions, we are down to examining the
rules that were applied, and showing that at least one of them is not
included in all possible definitions of 'free'.

In the discussions in the links above, we find that the people
involved, in so far as they explain their reasoning, are referring to
the same definitions of 'free' I have used in this note, e.g.  Debian
Free Software Guideline #1.  However, the conclusions about freeness
drawn are generally more negative than my conclusions in this note.
Why?

I believe that the people in the links above are all using the
following rule when applying guidelines for freeness:

 worst-case-rule: If the license text is ambiguous, in a way that would
 leave enough room for a judge to disagree that the license meets our
 written definition of 'free', then the license should be treated as
 non-free.

In my own analysis of the legal issues above, I have avoided applying
this worst-case-rule by default.  I have however tried to identify all
possible places where this worst-case-rule could be applied.

It is very common for trained lawyers to apply this worst-case-rule,
to go by the worst possible interpretation of an ambiguous legal text.
In fact, in a multidisciplinary business team, one of the key skills
that a lawyer is expected to bring to the table is the skill to find
the legal ambiguities and worst-cases.

In the FOSS context, the worst-case-rule has often been used when a
large company (e.g. Netscape, Sun, Microsoft) created a specialized
license to go with a specific piece of software that the company
wanted to share with or contribute to the FOSS community.  Arguably,
it is a good strategy in such a case for the FOSS community to assume
the worst possible interpretation of the license text concerned.  The
use of the worst-case-rule has sometimes led to companies improving
their license texts from a FOSS community point of view.

However, I would argue that applying this worst-case-rule to afio, a
historical product of the FOSS community for which the license text
cannot be changed anymore, is like throwing out the baby with the
bathwater.  There is no need to treat afio as if it might be a
carefully constructed Trojan horse.

So I feel that applying the worst-case-rule is fine in come cases, but
destructive in others.  Does this mean that I am arguing for a double
standard as far as the legal analysis of FOSS licenses is concerned?
I am not -- in the end, a legal analysis is a determination of the
risk of getting sued and of losing in court when one is sued.  This
risk cannot be determined correctly by doing a narrow analysis of the
license text under the worst-case assumption that the other party is
out to get you.  Other factors, like those considered for afio in this
note, should also play a role in legal risk determination.

I believe that a strict application of the worst-case-rule, when
judging a software package against e.g. the Debian Free Software
Guidelines or the four kinds of software freedoms defined by the FSF,
will lead to results that are counter-productive for the FOSS
community:

  - The worst-case-rule will lead to a favoring of software packages
    released in one go by a single company over almost all software
    packages that were grown over many years by volunteer contributors
    using the Internet.  Most volunteer software will look worse
    through the lens of the worst-case-rule, because of the way
    copyright law works.  In a worst-case legal analysis, copyright
    law requires that all volunteer contributers have made explicit
    statements placing their contributions under a free license.  If
    one such statement is missing, then there exists an ambiguity in
    that author's wishers, that has to be interpreted by the
    worst-case-rule as a lack of permission to copy or modify.

  - Living with the worst-case-rule in a FOSS project will raise
    barriers of entry for contributers to FOSS projects, because these
    contributers would have to be asked to make legal statements
    licensing their contributions, instead of relying on the principle
    of implicit license.

  - The worst-case-rule will favor software projects that were started
    recently over some longer-running software projects, because only
    the recent projects could start with license texts that have been
    constructed to be unambiguous according to the most recent legal
    insights.

In conclusion, I believe that the reason why the experts in the links
above found afio to be non-free is that they all implicitly or
explicitly applied the worst-case-rule.

I do not want to argue that the worst-case-rule should never be
applied.  In fact, a Linux distro based on the strict application of
the worst-case-rule could be considered valuable by some, and some
distributions that are looking to be '100% free' seem to be applying
this rule.  Note that '100% free' according to the worst-case-rule
does not mean '100% elimination of all legal risks to the user'.  No
Linux distro can be 100% pure in this way: the kernel alone comes with
patent risks.

I believe that the worst-case-rule should not be used by more general
Linux distros, unless it is combined with a moderating principle.
Without a moderating principle, the worst-case-rule has negative
effects on the community aspects of FOSS.

Conclusion
==========

This note has addressed several questions that have been raised on the
status of afio as 'free' software.

The best argument for afio being 'non-free' is that the afio license
text that was written in 1985 fails the test of the worst-case-rule:
the text is ambiguous in a way that would leave enough room for a
judge to disagree that the license meets e.g. Debian Free Software
Guideline 1.

The best argument for afio being 'free' is that the worst-case rule
should not be applied in the case of afio, because it is the product
of a long-running FOSS effort, and because the ambiguities in the 1985
license text, when examined in context, do not create any practical
barriers against exercising the freedoms that a modern FOSS user or
distributer expects to have.  I believe that legally speaking, if a
user, programmer, or distributer treats afio as 'free' software, the
risk of having a court conclude that they are in violation of the afio
license is very low, low enough to be lost in the background noise.

It is not always morally right to treat copyrighted works in a 'free'
way, just because the legal risks of doing so are low.  But in the
case of afio I believe treating it as 'free' it is definitely morally
right, because this what the authors intended.


<end of note>





Information stored :
Bug#509287; Package afio. (Mon, 23 Feb 2009 23:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and filed, but not forwarded. (Mon, 23 Feb 2009 23:48:03 GMT) Full text and rfc822 format available.

Message #84 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Koen Holtman <k.holtman@chello.nl>
Cc: 509287-quiet@bugs.debian.org, debian-legal@lists.debian.org
Subject: Re: Bug#509287: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Mon, 23 Feb 2009 15:44:27 -0800
Hi Koen,

Thanks for taking the time to prepare this.  I am happy to hear that you've
made contact with the original author; I for one think this completely
resolves the question raised by the Fedora folks (but then, I didn't think
that was much of an issue originally, either).

I'm going to skip straight down to the discussion of permission to modify,
which I believe is the point of greatest concern for Debian.  Responses to
your individual points inline.  I don't necessarily find each of the
arguments I'm advancing to be persuasive, but I think they're arguments that
could be made if this ever went to court, so should be examined carefully.

On Mon, Feb 23, 2009 at 09:56:57PM +0100, Koen Holtman wrote:
> Issue 3. License does not permit modification
> =============================================

> So we have to ask ourselves: did the copyright holders of afio in fact
> grant the right to modify their work to others?  I believe they did,
> so afio does satisfy DFSG#3.  I have 2 arguments why they did.

> 1) Argument by the contents of the license notices

> If we look at the 4 license notices, we see that

> - notice 1 contains the statement

>    It may be distributed within the following restrictions:
>    [...] (2) This credit and notice must remain intact.

> - notice 2 contains the statement

>    Permission to copy and/or distribute granted under the
>    following conditions:
>    1). This notice must remain intact. [...]

> - notice 3 is the LGPL, which explicitly allows modification

> - notice 4 refers to the conditions of notice 1.

> So in fact notice 1, 2, and 4 all contain the clause 'this notice must
> remain intact'.  Such a clause can be read to imply that 'it is not a
> condition that the parts of this work outside of this notice remain
> intact'.  By explicitly forbidding the modification of the notice,
> they license owners are implicitly allowing the modification of other
> parts of the work.  Had they wished to forbid such modifications of
> the rest of the work, they would have written different license
> notices.

Counterargument:

  The license notice is not an integral part of the work, which is a piece
  of computer software.  Removing the license notice therefore does not
  constitute a modification of the work under a typical interpretation of
  copyright law, so any requirement that the notice be retained must be made
  explicit even if there is no other intent to grant a license to modify the
  work.

> 2) Argument by implied licensing

<snip>

> A. Mark Brukhartz, an employee of the license holder at the time,
>    posted the afio source code, including an explicit license
>    statement, to comp.sources.unix in 1987.  Link:

>      http://groups.google.com/group/comp.sources.unix/browse_thread/thread/ce3312137ad92a37/ec49f37f3e59a267?lnk=gst&q=afio#ec49f37f3e59a267

> B. The explicit license text was silent on limiting the right to
>    modify the code.  To show that there was an implicit license of to
>    modify the code, we have to show that modification was one of the
>    uses that the license holder could have expected after posting the
>    code to comp.sources.unix. 

> C. The comp.sources community was an early FOSS community, and people
>    extending other people's code was one of the things that could be
>    expected in that community. Indeed the creation of such extensions
>    happened almost immediately in the case of afio -- see D. and
>    E. below.

> D. The above newsgroup archive link shows that after Mark submitted
>    the sources of afio to the newsgroup, Rich Salz, the moderator of
>    the newsgroup, added a Makefile to the sources before forwarding
>    them to the group, thereby in fact distributing a modified version
>    of afio.  It was common practice for Rich Salz to add a Makefile
>    when submitted sources did not have them; the license holder would
>    probably have known this -- and took no steps to forbid it.

Counterargument:

  Adding a Makefile (i.e., a build script) to the work is not a modification
  of the work; like a license notice, a build script accompanies the work
  but is not a part of it, so its addition does not constitute the creation
  of a derivative work.
  (ObCDDL: build scripts distributed with GPL works are a different question
  because the GPL itself makes it a condition of the license that the build
  scripts be distributed under the same terms as the work.)


> E. Mark did not explicitly object when modifications to afio were
>    posted.  For example, three days after the afio post to
>    comp.sources.unix, Karl Denniger posted an improvement for afio to
>    comp.sources.d (an unmoderated companion newsgroup to
>    comp.sources.unix), with the description:

>       These are context diffs to the 'afio' program, a cpio
>       replacement, that was posted recently.  The changes here take
>       care of what I saw as a possible 1gaffe in the '-y' and '-Y'
>       options.

>    Link: http://groups.google.com/group/comp.sources.d/browse_thread/thread/381df257b583954e

Counterargument:

  Although Mark was responsible for drafting the license and, we presume,
  had approval from the copyright holder (his employer) for this, we cannot
  infer that the copyright holder had any expectation that the work would be
  modified once released on USENET.  Mark may have had this expectation as a
  developer familiar with the conventions of this USENET community, whereas
  the copyright holder may not have - and Mark may not have had a fiduciary
  responsibility to police modifications made to the work after release to
  the newsgroup.  Consequently, demonstrating that Mark knew modifications
  would happen once posted to the community may not be sufficient for an
  estoppel defense.  (If Mark can attest that his employer did know of the
  consequences of his posting the work to the newsgroup, I think that would
  negate this counterargument.)

> F. The license holder knew that it was common practice to modify code
>    posted to comp.sources.unix. To illustrate that Lachman Associates
>    would have been well aware of the practice of extending software
>    tools in the context of the comp.sources newsgroups: in 1989, two
>    Lachman employees greatly extended a terminal emulator program
>    written by someone else in 1986, and posted their extended version
>    to comp.sources.atari.st, see:

>     http://groups.google.com/group/comp.sources.atari.st/msg/95d006760c056af1

Combined with the previous point, this is strong, but not conclusive,
evidence that the copyright holder approved of modifications to their work.

> It is very common for trained lawyers to apply this worst-case-rule,
> to go by the worst possible interpretation of an ambiguous legal text.
> In fact, in a multidisciplinary business team, one of the key skills
> that a lawyer is expected to bring to the table is the skill to find
> the legal ambiguities and worst-cases.

debian-legal trains non-lawyers to do the same thing. :)  But that doesn't
imply that the Debian project as a whole will feel itself bound by such
worst-case scenarios.

> However, I would argue that applying this worst-case-rule to afio, a
> historical product of the FOSS community for which the license text
> cannot be changed anymore, is like throwing out the baby with the
> bathwater.  There is no need to treat afio as if it might be a
> carefully constructed Trojan horse.

Indeed, it's clearly not a Trojan horse, and if the holder of the original
copyright did flip out and decide to sue, Debian and anyone receiving the
code from Debian would be pretty far down on the list of defendants.  We
should nevertheless recognize that this is a possibility, and make an
informed decision about whether to accept that risk.

Cheers,
-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information stored :
Bug#509287; Package afio. (Wed, 25 Feb 2009 14:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and filed, but not forwarded. (Wed, 25 Feb 2009 14:36:07 GMT) Full text and rfc822 format available.

Message #89 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: k.holtman@chello.nl, debian-legal@lists.debian.org, 509287-quiet@bugs.debian.org
Subject: Re: Bug#509287: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Tue, 24 Feb 2009 21:56:24 +0000
Koen Holtman <k.holtman@chello.nl> wrote:
> [...]  For Debian I hope that this note will help Debian close
> "Bug#509287: afio: license is non-free".  So I would like to invite
> debian-legal to read the note and discuss what it means for the afio
> package bug.

In general, I am unhappy with how the issues have been paraphrased
instead of quoted.  I am currently on a train, so cannot refer to
the original sources, but some of the issues are represented as
slightly different to how I understood them.  Why paraphrase?

[...]
> afio has one unique feature (fault tolerant compressed archives) that
> all of the above lack.

So, someone could explain how afio achieves this and someone else could
re-implement it in the other more-clearly-free tools.  If it is needed,
the feature will survive.  I didn't feel that anyone was arguing that
afio contained absolutely no features people wanted over the other
tools when they suggested that afio should be removed.

> Several FOSS backup packages support afio as an archive engine, and
> some were designed specifically around afio.

Wow.  Which ones?

> Several definitions of 'free' software include the requirement that
> any party should be able to re-distribute it.  For example.  Debian
> Free Software Guideline 1 (DFSG#1) states:

However, the DFSG are guidelines for deciding the freedom of software,
not a definition.  The hint is in the name.  If one starts trying to
use it as a definition, bad stuff happens, in my experience.

In general, I've no problem with the sale restriction because it's
trivially avoidable.

> Issue 3. License does not permit modification
[...]
> 1) Argument by the contents of the license notices

I don't buy this argument at all.  Anyone got any law to support it?
I'd be very surprised if you can extrapolate the "holes" in the
licence permissions like that.

> 2) Argument by implied licensing

This is far more persuasive to me and the references appear good.
Even better would be Mark participating in modding afio, but if it
doesn't exist, it doesn't exist.

> [...4. Relicensing...] Depending on the success in finding the
> contributers, this could (according an the estimate of the current
> maintainer) bring about 30-60% of the afio code base under a new
> license. However, but such an action would not satisfy those seeking
> legal clarity on the status of afio as a whole.

Should impossibility of "100% now" deter work on the rest?  If we
view each piece of unattributed code as a timebomb, it seems to make
sense to reduce their number if possible.

[...]
> Issue 6.  Several people working for/with FOSS related
> organizations have called afio not-free.

This is a non-issue, a consequence of the above other issues.
If the note deals with the points they raise, this is dealt
with already and it feels like a personal attack on those people.
If the note doesn't deal with their objections, then this feels
like a personal attack to try to distract people.

Either way, I don't think it should be included in a basic note.

[...]
> I believe that the people in the links above are all using the
> following rule when applying guidelines for freeness:
>  worst-case-rule: If the license text is ambiguous, in a way that would
>  leave enough room for a judge to disagree that the license meets our
>  written definition of 'free', then the license should be treated as
>  non-free.

I don't.  I believe people were answering on the basis of the licence
information given to them and what they found.  If the licensing
status is not clear, it needs further research, of the type included
in this note.  It wasn't obvious to many people why afio should get
that work, instead of all the other things which are calling for some
work.  Big credit to Koen for doing it.

However, inventing some sort of fantasy "these people hate
free software so want to use lawyer tools to kill it" rule and
attributing it to people who looked at afio's licensing is not
nice at all.

> I believe that the worst-case-rule should not be used by more general
> Linux distros, unless it is combined with a moderating principle.

I believe that the worst-case-rule isn't used by anyone much and
not the people in this case, so all reference to that should be
removed from the note.

Hope that helps,
-- 
MJR
My Opinion Only, see http://people.debian.org/~mjr/





Information stored :
Bug#509287; Package afio. (Fri, 27 Feb 2009 23:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Koen Holtman <k.holtman@chello.nl>:
Extra info received and filed, but not forwarded. (Fri, 27 Feb 2009 23:30:05 GMT) Full text and rfc822 format available.

Message #94 received at 509287-quiet@bugs.debian.org (full text, mbox):

From: Koen Holtman <k.holtman@chello.nl>
To: MJ Ray <mjr@phonecoop.coop>
Cc: k.holtman@chello.nl, <debian-legal@lists.debian.org>, <509287-quiet@bugs.debian.org>
Subject: Re: Bug#509287: Please give opinion about "Bug#509287: afio: license is non-free"
Date: Sat, 28 Feb 2009 00:25:42 +0100 (CET)
Hi MJ, 

I want to respond to a few points you raise below.  I am not responding to 
all of the points you raise because I'd be in danger of just 
paraphrasing my own long note again if I did.   I'd rather see other 
people responding with fresh insights and opinions.

On Tue, 24 Feb 2009, MJ Ray wrote:

> 
> Koen Holtman <k.holtman@chello.nl> wrote:
> > [...]  For Debian I hope that this note will help Debian close
> > "Bug#509287: afio: license is non-free".  So I would like to invite
> > debian-legal to read the note and discuss what it means for the afio
> > package bug.
> 
> In general, I am unhappy with how the issues have been paraphrased
> instead of quoted.  I am currently on a train, so cannot refer to
> the original sources, but some of the issues are represented as
> slightly different to how I understood them.  Why paraphrase?

If I had quoted the sources extensively, the note would have been even
longer.  There is a LOT of material at:

https://bugzilla.redhat.com/show_bug.cgi?id=449037
http://spot.livejournal.com/303000.html
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=509287
http://www.mail-archive.com/debian-legal@lists.debian.org/index.html#39478

Even more material has appeared in comment tracks of blogs that linked to
the blog at http://spot.livejournal.com/303000.html .  Simply quoting it
all would not have been possible.

I can imagine that there would be a discrepancy between how the issues are
presented in the note, and what your own recollection is of the issues.  
This would be true especially if your recollection is primary based on
reading debian-legal.  For example, on debian-legal the contributers have
generally found that issue #2 is not really that important, while on
bugzilla.redhat several contributers have labeled this issue as the major
showstopper.  For each issue I tried to find and paraphrase the most
pessimistic view of the impact of the issue.

[...] 
> > Several FOSS backup packages support afio as an archive engine, and
> > some were designed specifically around afio.
> 
> Wow.  Which ones?

I do not have a complete list, but some searching gets me:

scdbackup
cdbackup
flexbackup
tresor (*)
tob 
mondorescue (*)
backup2l
dvbackup

those labeled with (*) use afio as the only possible selection for the 
archive engine as far as I can see.  I know that tob is also built mostly 
around afio because the author once told me..

[...]
> > Issue 6.  Several people working for/with FOSS related
> > organizations have called afio not-free.
> 
> This is a non-issue, a consequence of the above other issues.
> If the note deals with the points they raise, this is dealt
> with already and it feels like a personal attack on those people.

The text in issue 6 is not meant as a personal attack on these people, I
am sorry if you read it that way.

I felt I had to mention in the note that several well-known license
experts have gone on record on afio being non-free.  If I had not
mentioned this, I could be accused of hiding the existence of informed
opinions from Fedora and FSF experts that disagree with my own opinions.

> If the note doesn't deal with their objections, then this feels
> like a personal attack to try to distract people.

Well the response to issue #6 _does_ try to deal with their objections.

[...]
> > I believe that the people in the links above are all using the
> > following rule when applying guidelines for freeness:
> >  worst-case-rule: If the license text is ambiguous, in a way that would
> >  leave enough room for a judge to disagree that the license meets our
> >  written definition of 'free', then the license should be treated as
> >  non-free.
> 
> I don't.  

It took me a while to conclude that it is really the worst-case-rule that
is the deciding factor here for these people.  But that is my conclusion.

> However, inventing some sort of fantasy "these people hate
> free software so want to use lawyer tools to kill it" rule and
> attributing it to people who looked at afio's licensing is not
> nice at all.

Yikes!  Well I am very sorry that you read such a not-nice line of
reasoning into my note -- it was definately not my intention to imply 
that these people hate free sofware!

I have a lot of respect for the Fedora and FSF people.  They are working
to promote a type of 'free' that leads them down a path where I personally
do not want to follow.  It is a path that I cannot follow in maintaining
afio even if I wanted to.  But I do respect what they are doing.

Speaking as the afio maintainer, every bug report is welcome, including
bug reports about the license.  The Fedora community spent significant
effort auditing the afio license, finding problems with it, documenting
these problems in an open way, and doing research to see if they could
improve the copyright situation.  This is a good thing.  The note on the
afio license that I wrote basically builds on their work.  However, if I
have understood their reasoning right, the note builds on their work only
in the sense that it maps paths that they in turn do not want to follow.


Cheers,

Koen.





Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Sat, 28 Aug 2010 06:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Sat, 28 Aug 2010 06:06:03 GMT) Full text and rfc822 format available.

Message #99 received at 509287@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 509287@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: afio: license is non-free
Date: Sat, 28 Aug 2010 02:01:32 -0400
severity 509287 serious
thanks

i am re-raising the severity of this issue so it can be appropriately
considered for the squeeze release.  the lower severity ended up
effectively fizzling out the discussion (due to loss of urgency).
there has been no activity in almost two years now because of that.

while there was active discussion, a lot of good points were made; the
original author was contacted, and it seems his intention was to make
the software license permissive. however permissive in 1985 is rather
restrictive today.  the fact is however that he didn't retain copyright
for the code, so even though his viewpoint is useful, it really isn't
definitive.  the present copyright holder needs to give the ok.

i still think that in the meantime the appropriate solution is the
remove the package.  the popcon count is rather low [0], so this
shouldn't be too much of an impact in the real world.  fedora/redhat
have already done that, and there wasn't any protest.

best wishes,
mike

[0] http://qa.debian.org/popcon.php?package=afio




Severity set to 'serious' from 'important' Request was from Michael Gilbert <michael.s.gilbert@gmail.com> to control@bugs.debian.org. (Sat, 28 Aug 2010 06:06:04 GMT) Full text and rfc822 format available.

Reply sent to Erik Schanze <eriks@debian.org>:
You have taken responsibility. (Sat, 28 Aug 2010 19:21:03 GMT) Full text and rfc822 format available.

Notification sent to "Michael Gilbert" <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Sat, 28 Aug 2010 19:21:03 GMT) Full text and rfc822 format available.

Message #106 received at 509287-done@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: 509287-done@bugs.debian.org
Subject: Bug#509287: afio: license is non-free
Date: Sat, 28 Aug 2010 21:19:42 +0200
Hi,

thank you for remembering.

I forgot to close the bug previously.

We collected many information and it comes out that the
software was intendet to be distributed freely.

Afio is free software and is still in use, no need for
removal.


Best regards,

Erik


-- 
 www.ErikSchanze.de *********************************************
 Bitte keine HTML-E-Mails! No HTML mails, please! Limit: 100 kB *




Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Tue, 31 Aug 2010 16:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Tue, 31 Aug 2010 16:57:03 GMT) Full text and rfc822 format available.

Message #111 received at 509287@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 509287@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: afio: license is non-free)
Date: Tue, 31 Aug 2010 12:52:24 -0400
reopen 509287
thanks

> I forgot to close the bug previously.
> 
> We collected many information and it comes out that the
> software was intendet to be distributed freely.

intention is not sufficient.  the license itself as written must be
interpretable as dfsg-free.  i think the package needs to either be
removed, moved to non-free; or ideally the license needs to be made
dfsg-free by the current copyright holder.

mike




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 31 Aug 2010 16:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Tue, 31 Aug 2010 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen van Egmond <svanegmond@tinyplanet.ca>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Tue, 31 Aug 2010 18:39:03 GMT) Full text and rfc822 format available.

Message #118 received at 509287@bugs.debian.org (full text, mbox):

From: Stephen van Egmond <svanegmond@tinyplanet.ca>
To: Michael Gilbert <michael.s.gilbert@gmail.com>, 509287@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#509287: afio: license is non-free)
Date: Tue, 31 Aug 2010 14:19:51 -0400
On a practical level this issue is a colossal waste of time. We have established:

1) The package is useful
2) The identity of the copyright holder is ambiguous, even to themselves
3) The probability of action to enforce a license violation claim is basically nil

Removing the package from distribution is just about the worst possible outcome. Do whatever the hell you want, but do not vote for, agitate for, or keep reopening bugs while insisting that, this action be taken.  

I would think that Fedora taking some action is a scant endorsement of that course of action.






Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Tue, 31 Aug 2010 18:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <michael.s.gilbert@gmail.com>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Tue, 31 Aug 2010 18:51:02 GMT) Full text and rfc822 format available.

Message #123 received at 509287@bugs.debian.org (full text, mbox):

From: Michael Gilbert <michael.s.gilbert@gmail.com>
To: 509287@bugs.debian.org
Subject: Re: Bug#509287: afio: license is non-free)
Date: Tue, 31 Aug 2010 14:49:06 -0400
On Tue, 31 Aug 2010 14:19:51 -0400, Stephen van Egmond wrote:
> On a practical level this issue is a colossal waste of time. We have established:

debian isn't solely guided by practicality, but instead by more
fundamentally interesting principles.

> 1) The package is useful
> 2) The identity of the copyright holder is ambiguous, even to themselves
> 3) The probability of action to enforce a license violation claim is basically nil
> 
> Removing the package from distribution is just about the worst possible outcome. Do whatever the hell you want, but do not vote for, agitate for, or keep reopening bugs while insisting that, this action be taken.  

under what authority do you have to issue such an oppressive directive?
i am simply advocating further discussion on the matter.  i've
simply listed removing the package among a list of possible solutions
to the problem. please re-read my messages to better understand my
intent. if this bug gets marked squeeze-ignore or whatever, i'm fine
with that, i just want an appropriate dialog beforehand.

> I would think that Fedora taking some action is a scant endorsement of that course of action.

it is however useful as point of reference.

mike




Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Tue, 14 Sep 2010 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil McGovern <neilm@debian.org>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Tue, 14 Sep 2010 13:27:03 GMT) Full text and rfc822 format available.

Message #128 received at 509287@bugs.debian.org (full text, mbox):

From: Neil McGovern <neilm@debian.org>
To: Erik Schanze <eriks@debian.org>
Cc: 509287@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: squeeze-ignore for Bug #509287?
Date: Tue, 14 Sep 2010 14:24:29 +0100
This mail should be sent to the debian-release mailing list, copying in.

On Tue, Sep 14, 2010 at 12:32:57AM +0200, Erik Schanze wrote:
> please let me kindly ask for setting squeeze-ignore tag for
> serious Bug #509287.
> 
> Afio has a problematic license, but in my opinion it should
> not block the squeeze release. We collected all possible information
> and discussed the topic with different persons.
> 
> I'm sure it was intended as free software, even if the license
> is not 100% clear about that, but hey, is was 1985 and the
> guys did more hacking and sharing in newsgroups than developing
> license texts.
> 
> Over the years this changed and nowadays we have many licenses
> you can compare, you could get already done analysis and choose the one
> which fits best.
> 
> Please do not let die afio.


Given that this had a lenny-ignore tag and has been open since December
2008, I'm not happy giving it a squeeze ignore tag. Please note that
this isn't a comment on if the package severity is correct or not, or
the interpetation of the licence means that it's free/contrib/non-free,
it's just that I'm not happy ignoring this issue for yet another two
years.

Neil
-- 
<Tincho> 'Maybe you can try to find a nice hotel by shouting in the Mexico DF
    streets "where could a gringo find a decent hotel in this dirty third
    world lame excuse for a country?". I'm sure the people will rush to help
    you, as we south americans love to be called third world in a demeaning way.'




Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Fri, 22 Oct 2010 19:36:03 GMT) Full text and rfc822 format available.

Message #131 received at 509287@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@debian.org>
To: debian-release@lists.debian.org
Cc: edd@debian.org, andree@debian.org, hector@debian.org
Subject: Re: squeeze-ignore for Bug #509287?
Date: Fri, 22 Oct 2010 21:19:47 +0200
Hi, 

On Tue Sep 14, 2010 at 14:24:29 +0100, Neil McGovern wrote:
> This mail should be sent to the debian-release mailing list, copying in.
> 
> On Tue, Sep 14, 2010 at 12:32:57AM +0200, Erik Schanze wrote:
> > please let me kindly ask for setting squeeze-ignore tag for
> > serious Bug #509287.
> > 
> > Afio has a problematic license, but in my opinion it should
> > not block the squeeze release. We collected all possible information
> > and discussed the topic with different persons.
> > 
> > I'm sure it was intended as free software, even if the license
> > is not 100% clear about that, but hey, is was 1985 and the
> > guys did more hacking and sharing in newsgroups than developing
> > license texts.
> > 
> > Over the years this changed and nowadays we have many licenses
> > you can compare, you could get already done analysis and choose the one
> > which fits best.
> > 
> > Please do not let die afio.
> 
> 
> Given that this had a lenny-ignore tag and has been open since December
> 2008, I'm not happy giving it a squeeze ignore tag. Please note that
> this isn't a comment on if the package severity is correct or not, or
> the interpetation of the licence means that it's free/contrib/non-free,
> it's just that I'm not happy ignoring this issue for yet another two
> years.

Given that we had no reaction since September 14 (more than a month from
now), i am about to remove that package from testing in 10d from now.

Due to r-depends I will need to remove some other packages too:

* mondo
* tob


Cheers,
Martin
-- 
 Martin Zobel-Helas <zobel@debian.org>  | Debian System Administrator
 Debian & GNU/Linux Developer           |           Debian Listmaster
 Public key http://zobel.ftbfs.de/5d64f870.asc   -   KeyID: 5D64 F870
 GPG Fingerprint:  5DB3 1301 375A A50F 07E7  302F 493E FB8E 5D64 F870


-- 
To UNSUBSCRIBE, email to debian-release-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/20101022191947.GE6749@ftbfs.de







Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#509287; Package afio. (Fri, 22 Oct 2010 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Schanze <eriks@debian.org>:
Extra info received and forwarded to list. (Fri, 22 Oct 2010 20:45:03 GMT) Full text and rfc822 format available.

Message #136 received at 509287@bugs.debian.org (full text, mbox):

From: Erik Schanze <schanzi_@gmx.de>
To: debian-release@lists.debian.org
Cc: "Martin Zobel-Helas" <zobel@debian.org>, 509287@bugs.debian.org, edd@debian.org, andree@debian.org, hector@debian.org, eriks@debian.org
Subject: Re: Bug#509287: squeeze-ignore for Bug #509287?
Date: Fri, 22 Oct 2010 22:40:56 +0200
Hi Martin,

I'm still interested in having Afio in Squeeze, but I think
we had done all possible to find out the meaning of the
original author and have now a long discussion for this issue.
Unfortunately I have no news on this.

I'm still convinced that Afio is Free software even if
the 25 years old license text is not perfect. All contributors
over the last years had the same impression. Afio was and is
intended to be Free Software.

It would be a pity if it will be removed after this long
live in Debian.

I still hope for comments of other release managers or maintainers
of r-depends.


Best regards,
Erik



Martin Zobel-Helas "Martin Zobel-Helas" <zobel@debian.org>:
> Hi, 
> 
> On Tue Sep 14, 2010 at 14:24:29 +0100, Neil McGovern wrote:
> > This mail should be sent to the debian-release mailing list, copying in.
> > 
> > On Tue, Sep 14, 2010 at 12:32:57AM +0200, Erik Schanze wrote:
> > > please let me kindly ask for setting squeeze-ignore tag for
> > > serious Bug #509287.
> > > 
> > > Afio has a problematic license, but in my opinion it should
> > > not block the squeeze release. We collected all possible information
> > > and discussed the topic with different persons.
> > > 
> > > I'm sure it was intended as free software, even if the license
> > > is not 100% clear about that, but hey, is was 1985 and the
> > > guys did more hacking and sharing in newsgroups than developing
> > > license texts.
> > > 
> > > Over the years this changed and nowadays we have many licenses
> > > you can compare, you could get already done analysis and choose the one
> > > which fits best.
> > > 
> > > Please do not let die afio.
> > 
> > 
> > Given that this had a lenny-ignore tag and has been open since December
> > 2008, I'm not happy giving it a squeeze ignore tag. Please note that
> > this isn't a comment on if the package severity is correct or not, or
> > the interpetation of the licence means that it's free/contrib/non-free,
> > it's just that I'm not happy ignoring this issue for yet another two
> > years.
> 
> Given that we had no reaction since September 14 (more than a month from
> now), i am about to remove that package from testing in 10d from now.
> 
> Due to r-depends I will need to remove some other packages too:
> 
> * mondo
> * tob
> 





Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Sat, 23 Oct 2010 04:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Sat, 23 Oct 2010 04:51:02 GMT) Full text and rfc822 format available.

Message #141 received at 509287@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Erik Schanze <eriks@debian.org>
Cc: debian-release@lists.debian.org, "Martin Zobel-Helas" <zobel@debian.org>, 509287@bugs.debian.org, edd@debian.org, andree@debian.org, hector@debian.org
Subject: Re: Bug#509287: squeeze-ignore for Bug #509287?
Date: Fri, 22 Oct 2010 23:47:53 -0500
On 22 October 2010 at 22:40, Erik Schanze wrote:
| Hi Martin,
| 
| I'm still interested in having Afio in Squeeze, but I think
| we had done all possible to find out the meaning of the
| original author and have now a long discussion for this issue.
| Unfortunately I have no news on this.
| 
| I'm still convinced that Afio is Free software even if
| the 25 years old license text is not perfect. All contributors
| over the last years had the same impression. Afio was and is
| intended to be Free Software.

Fully agreed.  

But it is what it is with respect to the difficulties with this unclear
license.

| It would be a pity if it will be removed after this long
| live in Debian.

non-free as a last resort?

Dirk
 
| I still hope for comments of other release managers or maintainers
| of r-depends.
| 
| 
| Best regards,
| Erik
| 
| 
| 
| Martin Zobel-Helas "Martin Zobel-Helas" <zobel@debian.org>:
| > Hi, 
| > 
| > On Tue Sep 14, 2010 at 14:24:29 +0100, Neil McGovern wrote:
| > > This mail should be sent to the debian-release mailing list, copying in.
| > > 
| > > On Tue, Sep 14, 2010 at 12:32:57AM +0200, Erik Schanze wrote:
| > > > please let me kindly ask for setting squeeze-ignore tag for
| > > > serious Bug #509287.
| > > > 
| > > > Afio has a problematic license, but in my opinion it should
| > > > not block the squeeze release. We collected all possible information
| > > > and discussed the topic with different persons.
| > > > 
| > > > I'm sure it was intended as free software, even if the license
| > > > is not 100% clear about that, but hey, is was 1985 and the
| > > > guys did more hacking and sharing in newsgroups than developing
| > > > license texts.
| > > > 
| > > > Over the years this changed and nowadays we have many licenses
| > > > you can compare, you could get already done analysis and choose the one
| > > > which fits best.
| > > > 
| > > > Please do not let die afio.
| > > 
| > > 
| > > Given that this had a lenny-ignore tag and has been open since December
| > > 2008, I'm not happy giving it a squeeze ignore tag. Please note that
| > > this isn't a comment on if the package severity is correct or not, or
| > > the interpetation of the licence means that it's free/contrib/non-free,
| > > it's just that I'm not happy ignoring this issue for yet another two
| > > years.
| > 
| > Given that we had no reaction since September 14 (more than a month from
| > now), i am about to remove that package from testing in 10d from now.
| > 
| > Due to r-depends I will need to remove some other packages too:
| > 
| > * mondo
| > * tob
| > 
| 

-- 
Dirk Eddelbuettel | edd@debian.org | http://dirk.eddelbuettel.com




Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Sat, 23 Oct 2010 10:39:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Garcia <hector@debian.org>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Sat, 23 Oct 2010 10:39:18 GMT) Full text and rfc822 format available.

Message #146 received at 509287@bugs.debian.org (full text, mbox):

From: Hector Garcia <hector@debian.org>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: Erik Schanze <eriks@debian.org>, debian-release@lists.debian.org, Martin Zobel-Helas <zobel@debian.org>, 509287@bugs.debian.org, andree@debian.org
Subject: Re: Bug#509287: squeeze-ignore for Bug #509287?
Date: Sat, 23 Oct 2010 12:06:27 +0200
> | > * mondo

Sorry for taking so long to answer. Actually I wasn't maintaing mondo
any longer, but since andree seen to be too busy I had taken a look into
mondo again to check afio issue.
So far mondo cannot work without afio, and it is too late to even try to
make a patch for mondo to use any replacement.
So if afio goes out of the archive mondo should go out too.
If afio is keep on the archive until ater release I can try to talk with
upstream to see if there is any change to move away from using afio. 

Kind regards,

H├ęctor





Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Sun, 24 Apr 2011 23:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dean Townsley <dean@townsley.com>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Sun, 24 Apr 2011 23:30:03 GMT) Full text and rfc822 format available.

Message #151 received at 509287@bugs.debian.org (full text, mbox):

From: Dean Townsley <dean@townsley.com>
To: 509287@bugs.debian.org
Subject: at least move to non-free
Date: Sun, 24 Apr 2011 17:52:00 -0500
Hello,

This seems a very sad situation.  Is it possible to move afio to 
non-free and then open a never-ending bug that says it should be moved 
to main?  At least then it will be easier to install.

It appears that a license change is nigh unworkable, if not actually 
impossible.  But it does not appear that anything else will satisfy the 
detractors at this point.

This is so sad because by both text and testament the license was 
intended to allow distribution in both commercial and non-commercial 
collections.  But this certainly isn't the only case where an author 
didn't try hard enough to give their work away.

Dean Townsley













Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Wed, 28 Dec 2011 20:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@debian.org>:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Wed, 28 Dec 2011 20:39:03 GMT) Full text and rfc822 format available.

Message #156 received at 509287@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@debian.org>
To: Dean Townsley <dean@townsley.com>, 509287@bugs.debian.org
Subject: Re: Bug#509287: at least move to non-free
Date: Wed, 28 Dec 2011 21:37:56 +0100
[Message part 1 (text/plain, inline)]
* Dean Townsley [Son Apr 24, 2011 at 05:52:00 -0500]:

> This seems a very sad situation.  Is it possible to move afio to non-free 
> and then open a never-ending bug that says it should be moved to main?  At 
> least then it will be easier to install.

> It appears that a license change is nigh unworkable, if not actually  
> impossible.  But it does not appear that anything else will satisfy the  
> detractors at this point.

> This is so sad because by both text and testament the license was  
> intended to allow distribution in both commercial and non-commercial  
> collections.  But this certainly isn't the only case where an author  
> didn't try hard enough to give their work away.

Ping, any news from the maintainer or anyone else interested in
resolving this licensing issue to get afio into wheezy?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Erik Schanze <eriks@debian.org>:
Bug#509287; Package afio. (Wed, 28 Dec 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to eriks@debian.org:
Extra info received and forwarded to list. Copy sent to Erik Schanze <eriks@debian.org>. (Wed, 28 Dec 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #161 received at 509287@bugs.debian.org (full text, mbox):

From: "Erik Schanze (Debian)" <schanzi_@gmx.de>
To: Michael Prokop <mika@debian.org>, 509287@bugs.debian.org
Cc: Dean Townsley <dean@townsley.com>
Subject: Re: Bug#509287: at least move to non-free
Date: Wed, 28 Dec 2011 23:22:57 +0100
Hi,

I orphaned the package (Bug #653497), please feel free to pick it up and
move it.


Bye,
Erik

Am 28.12.2011 21:37, schrieb Michael Prokop:
> * Dean Townsley [Son Apr 24, 2011 at 05:52:00 -0500]:
> 
>> This seems a very sad situation.  Is it possible to move afio to non-free 
>> and then open a never-ending bug that says it should be moved to main?  At 
>> least then it will be easier to install.
> 
>> It appears that a license change is nigh unworkable, if not actually  
>> impossible.  But it does not appear that anything else will satisfy the  
>> detractors at this point.
> 
>> This is so sad because by both text and testament the license was  
>> intended to allow distribution in both commercial and non-commercial  
>> collections.  But this certainly isn't the only case where an author  
>> didn't try hard enough to give their work away.
> 
> Ping, any news from the maintainer or anyone else interested in
> resolving this licensing issue to get afio into wheezy?
> 




Information forwarded to debian-bugs-dist@lists.debian.org, QA Group <packages@qa.debian.org>:
Bug#509287; Package afio. (Fri, 30 Dec 2011 13:13:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Koen Holtman <k.holtman@chello.nl>:
Extra info received and forwarded to list. Copy sent to QA Group <packages@qa.debian.org>. (Fri, 30 Dec 2011 13:13:31 GMT) Full text and rfc822 format available.

Message #166 received at 509287@bugs.debian.org (full text, mbox):

From: Koen Holtman <k.holtman@chello.nl>
To: Michael Prokop <mika@debian.org>, <509287@bugs.debian.org>
Cc: Dean Townsley <dean@townsley.com>, <debian-bugs-dist@lists.debian.org>, Erik Schanze <eriks@debian.org>
Subject: Re: Bug#509287: at least move to non-free
Date: Fri, 30 Dec 2011 14:08:36 +0100 (CET)
Speaking as the up-stream afio maintainer: I don't expect that I or the
original afio author can come up with new information that would make the
license situation more clear to the Debian community.  So it is basically
up to the Debian community to make a choice how they want to apply
their labels 'free' and 'nonfree' with respect to afio.

The issue has been open for some 2 years now, so maybe it is not
unreasonable to indefinitely postpone the legal/social contract discussion
about what these labels mean for afio, and make a choice based on purely
pragmatic considerations instead.

If there are benefits to end users in moving it to non-free, over the
current situation, that sounds good to me.

BTW I am hoping to make a new up-stream maintenance release before the 
end of 2012.  No promises however. 

Cheers,

Koen.

On Wed, 28 Dec 2011, Michael Prokop wrote:

> * Dean Townsley [Son Apr 24, 2011 at 05:52:00 -0500]:
> 
> > This seems a very sad situation.  Is it possible to move afio to non-free 
> > and then open a never-ending bug that says it should be moved to main?  At 
> > least then it will be easier to install.
> 
> > It appears that a license change is nigh unworkable, if not actually  
> > impossible.  But it does not appear that anything else will satisfy the  
> > detractors at this point.
> 
> > This is so sad because by both text and testament the license was  
> > intended to allow distribution in both commercial and non-commercial  
> > collections.  But this certainly isn't the only case where an author  
> > didn't try hard enough to give their work away.
> 
> Ping, any news from the maintainer or anyone else interested in
> resolving this licensing issue to get afio into wheezy?
> 
> regards,
> -mika-
> 






Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2012 08:06:03 GMT) Full text and rfc822 format available.

Reply sent to Jari Aalto <jari.aalto@cante.net>:
You have taken responsibility. (Sat, 04 Aug 2012 12:33:08 GMT) Full text and rfc822 format available.

Notification sent to "Michael Gilbert" <michael.s.gilbert@gmail.com>:
Bug acknowledged by developer. (Sat, 04 Aug 2012 12:33:08 GMT) Full text and rfc822 format available.

Message #173 received at 509287-close@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 509287-close@bugs.debian.org
Subject: Bug#509287: fixed in afio 2.5.1.20120205+git0c14fb9-1
Date: Sat, 04 Aug 2012 12:32:09 +0000
Source: afio
Source-Version: 2.5.1.20120205+git0c14fb9-1

We believe that the bug you reported is fixed in the latest version of
afio, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 509287@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jari Aalto <jari.aalto@cante.net> (supplier of updated afio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jul 2012 08:39:40 +0300
Source: afio
Binary: afio
Architecture: source amd64
Version: 2.5.1.20120205+git0c14fb9-1
Distribution: unstable
Urgency: low
Maintainer: Jari Aalto <jari.aalto@cante.net>
Changed-By: Jari Aalto <jari.aalto@cante.net>
Description: 
 afio       - archive file manipulation program
Closes: 509287 653497
Changes: 
 afio (2.5.1.20120205+git0c14fb9-1) unstable; urgency=low
 .
   * New maintainer (Closes: #653497).
   * New upstream release
     - Remove source code patches. Included upream.
     - Move package to archive area non-free due to license.
       See bug report for details about DFSG discussion (Closes: #509287).
   * debian/compat
     - Update to 9.
   * debian/control
     - (Build-Depends): Update to debhelper 9, remove dpatch.
     - (Section) Change from main "utils" to "non-free/utils".
     - (Standards-Version): Update to 3.9.3.
     - (Vcs-*): new headers.
   * debian/copyright
     - Upate to Format 1.0.
   * debian/{docs,manpages,install}
     - New files.
   * debian/patches
     - (10): New. Support user CFLAGS directly (hardening support).
   * debian/README.Debian
     - Delete; not needed for dpatch any more.
   * debian/rules
     - Update to dh(1).
     - Use hardened CFLAGS (release goal).
       http://wiki.debian.org/ReleaseGoals/SecurityHardeningBuildFlags
   * debian/watch
     - Disable. Code is now only in upstream Git.
Checksums-Sha1: 
 76d92d6ddeb1fa8c0977e1bd82f304531b9864f1 1932 afio_2.5.1.20120205+git0c14fb9-1.dsc
 45d59cb39d59dbc26e953a0ef5972e829d0f7999 187623 afio_2.5.1.20120205+git0c14fb9.orig.tar.gz
 8861ec6f7ed09600ec9e8cb1ff70babe41676d0e 8725 afio_2.5.1.20120205+git0c14fb9-1.debian.tar.gz
 a304eaf1912dc51585d7bc51a5980f4540f2d96e 86670 afio_2.5.1.20120205+git0c14fb9-1_amd64.deb
Checksums-Sha256: 
 0688478cac1335079fa7c16846ac480b5d2714005a427bee97cb2ca2a94cc5d8 1932 afio_2.5.1.20120205+git0c14fb9-1.dsc
 aa7742d782e20f1ce42dcaa03d61fa0717a48bacb16804817daafef4c53a67ce 187623 afio_2.5.1.20120205+git0c14fb9.orig.tar.gz
 43d786dd4eff7a882b94a5aa281f904d0315e6e9b0fa7d2fde53a906ea776ff6 8725 afio_2.5.1.20120205+git0c14fb9-1.debian.tar.gz
 709e132741dbf0729ef74bbc45859dd446b6f9ec514c6e6fbe43df999b87ad39 86670 afio_2.5.1.20120205+git0c14fb9-1_amd64.deb
Files: 
 bdf509c3d3f7f8dd5078e8e7218a961a 1932 non-free/utils optional afio_2.5.1.20120205+git0c14fb9-1.dsc
 e05c9d3c35f9f56f0243613c302a4906 187623 non-free/utils optional afio_2.5.1.20120205+git0c14fb9.orig.tar.gz
 b9889c6f8a6293b08961c8e40b991a0f 8725 non-free/utils optional afio_2.5.1.20120205+git0c14fb9-1.debian.tar.gz
 71c50de91c07886f4f33392bddcebbfb 86670 non-free/utils optional afio_2.5.1.20120205+git0c14fb9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJQGqNpAAoJECHSBYmXSz6WlLsQAK6n00q1Jkpdqgspd8CV5Q+Q
K85gY65lBtt4UQm//Tl++lxAfuua+BM8i935i7Eo6Hi3x1uQ2bnI+X1iPdjYktBE
xezgtYmrMGf/8lvk/evLWytyR7+ipmrqhLwlS7gy/IN0lfW5Ie5lJTKVi6fValLm
4ljlEXwwCQR8BWSufQhxyNbSpqyGGdj7GUx0Oa4ybeM9LY6py13Z1aLFavy99eSF
i5twCiv7TDBCvRPTvRweWmqKrfb1ngqVMDcBjYYRj8JRp3+sbesm2majgRmQKwwe
KZTgROgoGlM1tLBhQqzmkAb/iLWYgh+IN2wIwpxjUMr0KgtAnGR2tVCf0kx1LilC
KcK39DXU0h5PfU5NIMntmkLZQ1XzOZzACKYjGYJx8BHnum+jxejbgLxU95yP/TiF
35DcjwtwfoBiKSwoJMvSNzV2eK0VL/K1WTp9oJPAxIQESYwPnpZrC5d5KcWhpO6M
R/4yu/4Q+HR8VAgoQgqF5imK7ro9t3K/udo0fbTlU8SLPnFXdq1cUpvLJf+LzScY
geGw6gEvH3H6bse9GnJO4Z9htZBwD2gZOBl/pkr38qil+A0U0LzVP3egw2QviwK8
fUSwu/CVduOc8JNJ757SLa+n2/kRwRuHGfBJPwEzH8qem/uOoDNzWCDT6ZwceFT2
oHJKZhyi6xlkaaT6HMZR
=QoA0
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Sep 2012 07:29:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:05:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.